These are chat archives for OfficeDev/ews-java-api

24th
Mar 2015
jrmathletics
@jrmathletics
Mar 24 2015 14:16
Hey guys, I'm trying out ews-java-api on a project of mine. I'm only checking to see if i can connect with the exchange server, but i keep getting an error message. " java.lang.NoSuchMethodError: No virtual method setConfig(Lorg/apache/http/client/config/RequestConfig;)V in class Lorg/apache/http/client/methods/HttpPost; or its super classes (declaration of 'org.apache.http.client.methods.HttpPost' appears in /system/framework/ext.jar)" Maybe some of you can see what it is? I have no idea.
jrmathletics
@jrmathletics
Mar 24 2015 14:48
Might be the completly wrong place to ask though.
André Behrens
@serious6
Mar 24 2015 15:16
how do you try imprting ews-java-api. Did you clone the repo, are you using a jar from maven or a jar build on your own?
Mike Noordermeer
@MikeN123
Mar 24 2015 15:22
Sounds like a wrong httpclient version to me :-)
jrmathletics
@jrmathletics
Mar 24 2015 15:23
I downloaded the zip, and copied the three .jar files over to my /lib/-folder
André Behrens
@serious6
Mar 24 2015 15:28
yes you should be referencing the needed httpclient version try using 4.3.5. But I am still wondering which jars you took cause there should be no jar in the downloadable zip?!
try follow the steps in the wiki and then add the needed dependencies to your project
jrmathletics
@jrmathletics
Mar 24 2015 15:31
Just downloaded the zip again, it has 3 .jars. ews-java-api-2.0-SNAPSHOT-javadoc, ews-java-api-2.0-SNAPSHOT-sources and ews-java-api-2.0-SNAPSHOT
André Behrens
@serious6
Mar 24 2015 15:40
so these are the basic ews-java-api jars but you also need to provide the referenced jars. These are:
  • org.apache.httpcomponents:httpclient (pref. Version 4.3.5)
  • org.apache.httpcomponents:httpcore (pref. Version 4.3.3)
  • commons-logging:commons-logging (pref. Version 1.2)
  • joda-time:joda-time (pref. Version 2.7)
jrmathletics
@jrmathletics
Mar 24 2015 15:45
Might be relevant information, but I'm trying this in Android Studio
André Behrens
@serious6
Mar 24 2015 15:47
@/all there are currently only 2 issues /pr on the list to the 2.0 milestone do you guys have any prefs on adding more to this list? Please also keep in mind that we should deploy the first stable release shortly.
André Behrens
@serious6
Mar 24 2015 15:52
@jrmathletics sry never worked with android studio but you just have to add the needed dependencies to your project. maybe you should try some research on how to do that.
jrmathletics
@jrmathletics
Mar 24 2015 16:00
Yeah, I've tried. Lost quite a bit of hair in the process aswell, but thanks for the help atleast!